<template>
  <article v-if="!loading && properties.length">
    <h3 class="mt-5 pt-0 mb-3 headline font-weight-medium accent--text text--darken-1">
      <v-icon large left color="accent darken-1">
        {{ mdiMapMarker }}
      </v-icon>
      Nearby Apartments
    </h3>
    <span class="body-2 ml-4">Within 5 miles of {{ value.name }}</span>
    <v-row dense class="mt-3">
      <v-col v-for="property in properties" :key="property.id" cols="12" md="4">
        <v-card tile @click="$router.push({ name: 'apartment-id', params: { id: property.id } })">
          <v-img
            :src="property.cover"
            class="white--text bright align-end subtitle"
            height="200px"
          >
            <span class="d-block px-2 black-transparent" v-text="property.name" />
          </v-img>
        </v-card>
      </v-col>
      <template v-if="!properties.length">
        <v-col v-for="i in 6" :key="i" cols="12" md="4">
          <v-skeleton-loader type="image" height="200px" />
        </v-col>
      </template>
    </v-row>
  </article>
</template>

<script>
import { mdiMapMarker } from '@mdi/js'
export default {
  props: {
    value: {
      type: Object,
      required: true
    }
  },
  data: () => ({
    properties: [],
    loading: false,
    mdiMapMarker
  }),
  async mounted () {
    const [lng, lat] = this.value.address.location.coordinates
    this.loading = true
    this.properties = await this.$axios.$get('/properties', {
      params: {
        filter: {
          limit: 6,
          skip: 1,
          where: {
            'address.location': {
              near: [lng, lat],
              maxDistance: 5,
              unit: 'miles'
            }
          },
          fields: {
            id: true,
            name: true,
            address: true,
            cover: true,
            summary: true
          }
        }
      }
    })
    this.loading = false
  }
}
</script>

<style>
.black-transparent {
  background-color: #00000080 !important;
}
</style>
